<template>
  <div class="">
    <div class="grid grid-cols-3 text-center items-center mt-4 mb-10">
      <div></div>
      <div class="text-4xl">{{ eleve.prenom }} {{ eleve.nom }}</div>
      <div
        v-if="checkIfTable && eleve.classe.typeEvaluations ==='cotes'"
        class="italic text-lg "
        :class="{ 'text-red-400': infoEvals.moyenne < 50 }"
      >
        <ICountUp :endVal="infoEvals.moyenne" /> % de moyenne en
        {{ competence.nom }}
      </div>
    </div>

    <router-view></router-view>
  </div>
</template>

<script>
import { getHeaders } from "../store/utils";
import ICountUp from "vue-countup-v2";

export default {
  components: {
    ICountUp,
  },
  computed: {
    eleve() {
      return this.$store.getters.getOneEleve(this.$route.params.eleveid);
    },
    evaluations() {
      return this.$store.getters.evaluationsByEleve(this.$route.params.eleveid);
    },
    competence() {
      return this.$store.getters.getOneCompetence(
        this.$route.params.competenceid
      );
    },
    checkIfTable() {
      return this.$route.name === "EvaluationsSingleEleve";
    },
    infoEvals() {
      return this.$store.getters.getInfoEvalByEleveAndCompetence(
        this.eleve,
        this.competence
      );
    },
  },

  methods: {
    getHeaders: getHeaders,
  },
};
</script>

<style lang="scss" scoped>
.v-data-table::v-deep th {
  font-size: 16px !important;
}
</style>

